<?php

/**
 * BeeboxException
 *
 * Handle exceptions generated by the BeeBox API.
 *
 * @version 1.0
 * @author lpercetti
 */

class BeeboxException extends \Exception {
    /**
     * BeeBox Exception
     * @param mixed $message The main message
     * @param array $details The details
     * @param int $code The code
     * @param \Exception $previous 
     * @throws Exception 
     */
    public function __construct($message = "", $details = null, $code = 0, \Exception $previous = NULL) {
		/*
		 * Check if we have a JSON answer to use, otherwise, show a dump
		 */
		if(!empty($details['response'])) {
			$json = json_decode($details['response']);
			throw new Exception('Communication error with the Beebox (HTTP '.$details['http_status_code'].') : '.$json->message);
		} else {
			/*
			 * Replace Beebox project password by HIDDEN
			 */
			if(!empty($details['request']))
				$details['request'] = substr($details['request'], 0, strpos($details['request'], '&pwd=')+4).'HIDDEN';
			
			throw new Exception('Communication error with the Beebox, see the details : ('.var_export($details, true).')');
		}
    }
}